<?php
namespace app\models;

use app\app;
class carts
{
    public static function init()
    {
        app::$db->exec("CREATE TABLE IF NOT EXISTS order_items (
            order_item_id INTEGER PRIMARY KEY AUTOINCREMENT, 
            order_id INTEGER NOT NULL,                     
            product_id INTEGER NOT NULL,                    
            quantity INTEGER NOT NULL CHECK(quantity > 0),  
            price REAL NOT NULL CHECK(price >= 0),         
            FOREIGN KEY (order_id) REFERENCES orders(order_id), 
            FOREIGN KEY (product_id) REFERENCES products(product_id) 
        );");
    }
}


