<?php
namespace app\models;

use app\app;
class magic_links
{
    public static function init()
    {
        app::$db->exec("CREATE TABLE IF NOT EXISTS magic_links (
            id INTEGER PRIMARY KEY AUTOINCREMENT,
            email TEXT NOT NULL,
            token TEXT NOT NULL,
            expires_at DATETIME NOT NULL,
            used BOOLEAN DEFAULT FALSE
        )");
    }

    public static function add($email)
    {
        $token = bin2hex(random_bytes(32));
        $expires_at = date('Y-m-d H:i:s', time() + 60 * 15);
        app::$db->query("INSERT INTO magic_links (
            email, 
            token, 
            expires_at
        ) VALUES (
            '$email', 
            '$token', 
            '$expires_at'
        )");
        return $_ENV['APP_HOST'] . "/magic-link?token=" . urlencode($token);
    }

    public static function validate($token)
    {
        $link = app::$db->query("SELECT * FROM magic_links 
        WHERE token = '$token' 
        AND used = FALSE 
        AND expires_at > datetime('now')
    ")->fetch(\PDO::FETCH_ASSOC);
        // void the token once validated
        app::$db->query("UPDATE magic_links SET used = TRUE WHERE token = '$token'");
        return $link;
    }
}
