<?php
namespace app\models;

use app\app;
class orders
{
    public static function init()
    {
        app::$db->exec("CREATE TABLE IF NOT EXISTS orders (
            order_id INTEGER PRIMARY KEY AUTOINCREMENT, 
            user_id INTEGER NOT NULL, 
            total_amount REAL NOT NULL CHECK(total_amount >= 0),
            status TEXT NOT NULL CHECK(status IN ('pending', 'completed', 'cancelled')),
            created_at DATETIME DEFAULT CURRENT_TIMESTAMP, 
            FOREIGN KEY (user_id) REFERENCES users(user_id)
        );");
    }
}
